Spaces method and path for this operation:
post /s/{space_id}/api/saved_objects/_bulk_delete
Refer to Spaces for more information.
WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Deletes multiple Kibana saved objects in a single request.
There is currently no complete replacement for deleting arbitrary saved objects via an HTTP API.
POST
/api/saved_objects/_bulk_delete
curl
curl \
-X POST "${KIBANA_URL}/api/saved_objects/_bulk_delete?force=false" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]'
POST kbn://api/saved_objects/_bulk_delete?force=false
[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]
Request example
[
{
"id": "example-dashboard-1",
"type": "dashboard"
},
{
"id": "does-not-exist",
"type": "dashboard"
}
]
Response examples (200)
{
"statuses": [
{
"id": "example-dashboard-1",
"success": true,
"type": "dashboard"
},
{
"error": {
"error": "Not Found",
"message": "Saved object [dashboard/does-not-exist] not found",
"statusCode": 404
},
"id": "does-not-exist",
"success": false,
"type": "dashboard"
}
]
}
Response examples (400)
{
"error": "Bad Request",
"message": "Unsupported saved object type(s): unknownType",
"statusCode": 400
}